Skip to main content

Authorizations


Overview

An airline authorization reserves funds for a ticket purchase before capture. A single authorization request can include multiple passenger tickets, and can include any ancillary purchases made at the same time as the ticket purchase. Because a single authorization can cover multiple tickets, each passenger ticket typically requires its own, separate capture request, and any ancillary purchase included in the same authorization typically requires its own, separate capture request as well.

Airline-specific data, such as passenger name, ticket number, and travel leg information, is optional for some processors and required for others, depending on the processor and, in some cases, the card type used.

Supported Processors

Supported processors (6)

American Express Direct, Chase Paymentech Solutions, FDC Nashville Global, Getnet, TSYS Acquiring Solutions,

Supported processors: Chase Paymentech Solutions, FDC Nashville Global,

Endpoints

POST https://ics2ws.ic3.com/commerce/1.x/transactionProcessor

POST https://ics2wstesta.ic3.com/commerce/1.x/transactionProcessor

Set ccAuthService_run to true to run the authorization service.

Processor-Specific Authorization Information

This list describes processor-specific authorization behavior:

American Express Direct

This section describes how to process an airline authorization with American Express Direct.

Chase Paymentech Solutions

Airline data is not required for authorizations. A single authorization request can cover multiple tickets, with the authorized amount in the purchaseTotals_grandTotalAmount field equal to the total of all fares, fees, and taxes.

You can include multiple passenger tickets in a single authorization request. However, you must submit a separate capture request with airline data for each passenger ticket.

When the customer makes ancillary purchases at the same time as the ticket purchase, you can include the ticket and the ancillary purchase in a single authorization request. However, you must submit separate captures for each ticket purchase and ancillary purchase.

FDC Nashville Global

Ticket purchases that include multiple passengers can be included in a single authorization request, however, recommends sending a separate capture request for each passenger.

If any ancillary purchases are made at the same time as the ticket purchase, you can include all the items in a single authorization request, however, recommends separating the ancillary and ticket purchases into individual capture requests.

If any ancillary purchases are not made at the same time as the ticket purchase, recommends separating the authorization and capture requests for the ancillary and ticket purchases.

When the card type is American Express, FDC Nashville Global also requires travel leg and passenger fields. See FDC Nashville Global Required Fields.

Getnet

This section describes how to process an airline authorization.

This table lists the card types that Getnet supports for an airline authorization:

Supported Card Types
American Express
Mastercard
Visa
TSYS Acquiring Solutions

This section describes how to process a successful TSYS Acquiring Solutions authorization.

Visa Platform Connect

Ticket purchases that include multiple passengers can be included in a single authorization request, but you must make separate capture requests for every passenger.

If any ancillary purchases are made at the same time as the ticket purchase, you can include all items in a single authorization request, but you must separate the ancillary and ticket purchases into their own capture requests.

If any ancillary purchases are made not at the same time as the ticket purchase, you must send separate authorization and capture requests for the ancillary and ticket purchases.

Processor-Specific Authorization Information

This list describes processor-specific authorization behavior:

Chase Paymentech Solutions

Airline data is not required for authorizations. A single authorization request can cover multiple tickets, with the authorized amount in the purchaseTotals_grandTotalAmount field equal to the total of all fares, fees, and taxes.

You can include multiple passenger tickets in a single authorization request. However, you must submit a separate capture request with airline data for each passenger ticket.

When the customer makes ancillary purchases at the same time as the ticket purchase, you can include the ticket and the ancillary purchase in a single authorization request. However, you must submit separate captures for each ticket purchase and ancillary purchase.

FDC Nashville Global

Ticket purchases that include multiple passengers can be included in a single authorization request, however, recommends sending a separate capture request for each passenger.

If any ancillary purchases are made at the same time as the ticket purchase, you can include all the items in a single authorization request, however, recommends separating the ancillary and ticket purchases into individual capture requests.

If any ancillary purchases are not made at the same time as the ticket purchase, recommends separating the authorization and capture requests for the ancillary and ticket purchases.

When the card type is American Express, FDC Nashville Global also requires travel leg and passenger fields. See FDC Nashville Global Required Fields.

Visa Platform Connect

Ticket purchases that include multiple passengers can be included in a single authorization request, but you must make separate capture requests for every passenger.

If any ancillary purchases are made at the same time as the ticket purchase, you can include all items in a single authorization request, but you must separate the ancillary and ticket purchases into their own capture requests.

If any ancillary purchases are made not at the same time as the ticket purchase, you must send separate authorization and capture requests for the ancillary and ticket purchases.

Required Fields

These fields are required for , Chase Paymentech Solutions, and FDC Nashville Global unless a processor-specific section indicates otherwise. American Express Direct, Getnet, and TSYS Acquiring Solutions support this transaction through Simple Order only, so their required fields appear in their own processor-specific sections.

Default Required Fields

purchaseTotals_currency Required

REST: orderInformation.amountDetails.currency

The currency used for the order, in ISO 4217 format.

purchaseTotals_grandTotalAmount Required

REST: orderInformation.amountDetails.totalAmount

The total amount for the order, including all fares, fees, and taxes.

billTo_street1 Required

REST: orderInformation.billTo.address1

The first line of the billing street address.

billTo_state Required

REST: orderInformation.billTo.administrativeArea

The state or province of the billing address.

billTo_country Required

REST: orderInformation.billTo.country

The country of the billing address.

billTo_email Required

REST: orderInformation.billTo.email

The email address associated with the billing information.

billTo_firstName Required

REST: orderInformation.billTo.firstName

The first name of the bill-to person.

billTo_lastName Required

REST: orderInformation.billTo.lastName

The last name of the bill-to person.

billTo_city Required

REST: orderInformation.billTo.locality

The city of the billing address.

billTo_postalCode Required

REST: orderInformation.billTo.postalCode

The postal code of the billing address.

card_expirationMonth Required

REST: paymentInformation.card.expirationMonth

The two-digit month of the card expiration date.

card_expirationYear Required

REST: paymentInformation.card.expirationYear

The four-digit year of the card expiration date.

card_accountNumber Required

REST: paymentInformation.card.number

The customer's payment card number.

merchantID Required
merchantReferenceCode Required
ccAuthService_run Required

Set the value to true.

Chase Paymentech Solutions Required Fields

In addition to the default required fields, Chase Paymentech Solutions also requires card_cardType. Chase Paymentech Solutions does not require ccAuthService_industryDatatype.

card_cardType Required

REST: paymentInformation.card.type

The three-digit value that indicates the card type.

FDC Nashville Global Required Fields

In addition to the default required fields, FDC Nashville Global also requires these fields.

card_cardType Required

REST: paymentInformation.card.type

The three-digit value that indicates the card type.

ccAuthService_industryDatatype Required

REST: processingInformation.industryDataType

Set the value to airline.

When the card type is American Express, FDC Nashville Global also requires these fields, in addition to the fields above. Replace the # character with the number 0, and consecutive numbers for every additional leg.

shipTo_firstName Required · American Express only

REST: orderInformation.shipTo.firstName

airlineData_passengerName Required · American Express only

REST: travelInformation.transit.airline.passengerName

airlineData_leg_#_carrierCode Required · American Express only

REST: travelInformation.transit.airline.legs[].carrierCode

airlineData_leg_#_departureDate Required · American Express only

REST: travelInformation.transit.airline.legs[].departureDate

airlineData_leg_#_originatingAirportCode Required · American Express only

REST: travelInformation.transit.airline.legs[].originatingAirportCode

airlineData_leg_#_destination Required · American Express only

REST: travelInformation.transit.airline.legs[].destinationAirportCode

airlineData_leg_#_fareBasis Required · American Express only

REST: travelInformation.transit.airline.legs[].fareBasis

Required Fields

In addition to the default required fields, also requires this field.

ccAuthService_industryDatatype Required

REST: processingInformation.industryDataType

Set the value to airline.

American Express Direct Required Fields

These are the required fields for a Simple Order airline authorization with American Express Direct.

merchantID Required
merchantReferenceCode Required
billTo_firstName Required
billTo_lastName Required
billTo_street1 Required
billTo_city Required
billTo_state Required
billTo_postalCode Required
billTo_country Required
billTo_email Required
purchaseTotals_currency Required
purchaseTotals_grandTotalAmount Required
ccAuthService_industryDatatype Required

Set the value to airline.

ics_applications Required

Set this field to ics_auth.

airlineData_passengerName Required
airlineData_numberOfPassengers Required
airlineData_leg_#_carrierCode Required

Replace the # character with the number 0, and consecutive numbers for every additional leg.

airlineData_leg_#_departureDate Required

Replace the # character with the number 0, and consecutive numbers for every additional leg.

airlineData_leg_#_destination Required

Replace the # character with the number 0, and consecutive numbers for every additional leg.

airlineData_leg_#_fareBasis Required

Replace the # character with the number 0, and consecutive numbers for every additional leg.

airlineData_leg_#_originatingAirportCode Required

Replace the # character with the number 0, and consecutive numbers for every additional leg.

Getnet Required Fields

These are the required fields for a Simple Order airline authorization with Getnet.

merchantID Required
merchantReferenceCode Required
billTo_firstName Required
billTo_lastName Required
billTo_street1 Required
billTo_city Required
billTo_state Required
billTo_postalCode Required
billTo_country Required
billTo_email Required
card_accountNumber Required
card_expirationMonth Required
card_expirationYear Required
ccAuthService_run Required

Set this field to true.

purchaseTotals_currency Required
purchaseTotals_grandTotalAmount Required

Getnet supports these optional fields for a Simple Order airline authorization:

airlineData_boardingFee Optional
installment_downPayment Optional

TSYS Acquiring Solutions Required Fields

These are the required fields for a Simple Order airline authorization with TSYS Acquiring Solutions.

merchantID Required
merchantReferenceCode Required
billTo_firstName Required
billTo_lastName Required
billTo_street1 Required
billTo_city Required
billTo_state Required
billTo_postalCode Required
billTo_country Required
billTo_email Required
card_accountNumber Required
card_expirationMonth Required
card_expirationYear Required
ccAuthService_run Required

Set this field to true.

ccAuthService_industryDatatype Required

Set to airline.

purchaseTotals_currency Required
purchaseTotals_grandTotalAmount Required
airlineData_passengerName Required
airlineData_numberOfPassengers Required
airlineData_ticketNumber Required
airlineData_leg_#_carrierCode Required

Replace the # character with the number 0, and consecutive numbers for every additional leg.

airlineData_leg_#_departureDate Required

Replace the # character with the number 0, and consecutive numbers for every additional leg.

airlineData_leg_#_destination Required

Replace the # character with the number 0, and consecutive numbers for every additional leg.

airlineData_leg_#_fareBasis Required

Replace the # character with the number 0, and consecutive numbers for every additional leg.

airlineData_leg_#_originatingAirportCode Required

Replace the # character with the number 0, and consecutive numbers for every additional leg.

This example shows a airline authorization.

<requestMessage>    <merchantID>merchantID</merchantID>    <merchantReferenceCode>TC42703-1</merchantReferenceCode>    <billTo>        <firstName>John</firstName>        <lastName>Doe</lastName>        <street1>1295 Charleston Road</street1>        <city>Mountain View</city>        <state>CA</state>        <postalCode>94043</postalCode>        <country>US</country>        <email>[email protected]</email>    </billTo>    <purchaseTotals>        <currency>USD</currency>        <grandTotalAmount>1.02</grandTotalAmount>    </purchaseTotals>    <card>        <accountNumber>4111111111111111</accountNumber>        <expirationMonth>12</expirationMonth>        <expirationYear>2026</expirationYear>        <cardType>001</cardType>    </card>    <ccAuthService run="true">        <industryDatatype>airline</industryDatatype>    </ccAuthService><requestMessage>
<c:replyMessage>    <c:merchantReferenceCode>TC42703-1</c:merchantReferenceCode>    <c:requestID>6823465362086241603012</c:requestID>    <c:decision>ACCEPT</c:decision>    <c:reasonCode>100</c:reasonCode>    <c:purchaseTotals>        <c:currency>USD</c:currency>    </c:purchaseTotals>    <c:ccAuthReply>        <c:reasonCode>100</c:reasonCode>        <c:amount>1.02</c:amount>        <c:authorizationCode>888888</c:authorizationCode>        <c:avsCode>X</c:avsCode>        <c:avsCodeRaw>I1</c:avsCodeRaw>        <c:authorizedDateTime>2026-04-24T14:28:56Z</c:authorizedDateTime>        <c:processorResponse>100</c:processorResponse>        <c:reconciliationID>74375324VGM5S0S6</c:reconciliationID>        <c:paymentNetworkTransactionID>123456789619999</c:paymentNetworkTransactionID>    </c:ccAuthReply>    <c:card>        <c:cardType>001</c:cardType>    </c:card>    <c:pos>        <c:terminalID>111111</c:terminalID>    </c:pos></c:replyMessage>

Last published: September 29, 2026